<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Release Notes for NUCLEO-L476RG HAL Examples</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <link rel="stylesheet" href="../../../_htmresc/mini-st.css" />
  <!--[if lt IE 9]>
    <script src="//cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv-printshiv.min.js"></script>
  <![endif]-->
</head>
<body>
<div class="row">
<div class="col-sm-12 col-lg-4">
<div class="card fluid">
<div class="sectione dark">
<center>
<h1 id="release-notes-for-nucleo-l476rg-hal-examples"><small>Release Notes for</small> <mark>NUCLEO-L476RG HAL Examples</mark></h1>
<p>Copyright © 2017 STMicroelectronics<br />
</p>
<a href="https://www.st.com" class="logo"><img src="../../../_htmresc/st_logo.png" alt="ST logo" /></a>
</center>
</div>
</div>
<h1 id="license">License</h1>
<p>Licensed by ST under BSD 3-Clause license (the "License"). You may not use this package except in compliance with the License. You may obtain a copy of the License at:</p>
<p><a href="https://opensource.org/licenses/BSD-3-Clause">https://opensource.org/licenses/BSD-3-Clause</a></p>
<h1 id="purpose">Purpose</h1>
<p>This directory contains the HAL examples to demonstrate the capabilities of the NUCLEO-L476RG Kit.</p>
</div>
<div class="col-sm-12 col-lg-8">
<h1 id="update-history">Update History</h1>
<div class="collapse">
<input type="checkbox" id="collapse-section19" checked aria-hidden="true"> <label for="collapse-section19" aria-hidden="true">V1.14.0 / 03-April-2019</label>
<div>
<h2 id="main-changes">Main Changes</h2>
<ul>
<li>RTC_Tamper example
<ul>
<li>Ensure button press status flag is reset after back-up registers are written</li>
</ul></li>
<li>SPI_HalfDuplex_ComPolling example
<ul>
<li>Fix SW4STM32 invalid tool id</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section18" aria-hidden="true"> <label for="collapse-section18" aria-hidden="true">V1.13.0 / 27-July-2018</label>
<div>
<h2 id="no-change">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section17" aria-hidden="true"> <label for="collapse-section17" aria-hidden="true">V1.12.0 / 22-May-2018</label>
<div>
<h2 id="main-changes-1">Main Changes</h2>
<ul>
<li><p>Add HAL/HAL_RegisterCallbacks_TIM example to illustrate callback registration with HAL TIM</p></li>
<li><p>UART_TwoBoards_ComPolling</p>
<ul>
<li>Fix Rx/Tx pin references</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section16" aria-hidden="true"> <label for="collapse-section16" aria-hidden="true">V1.11.0 / 22-December-2017</label>
<div>
<h2 id="no-change-1">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section15" aria-hidden="true"> <label for="collapse-section15" aria-hidden="true">V1.10.0 / 13-October-2017</label>
<div>
<h2 id="no-change-2">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section14" aria-hidden="true"> <label for="collapse-section14" aria-hidden="true">V1.9.0 / 25-August-2017</label>
<div>
<h2 id="no-change-3">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section13" aria-hidden="true"> <label for="collapse-section13" aria-hidden="true">V1.8.1 / 16-June-2017</label>
<div>
<h2 id="main-changes-2">Main Changes</h2>
<ul>
<li><p>SPI_HalfDuplex_ComPolling</p>
<ul>
<li>Fix SW4STM32 Linux compilation</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section12" aria-hidden="true"> <label for="collapse-section12" aria-hidden="true">V1.8.0 / 21-April-2017</label>
<div>
<h2 id="main-changes-3">Main Changes</h2>
<ul>
<li><p>PWR_STOP1 example</p>
<ul>
<li>Ensure previous flash latency is set when re-enabling the PLL as system clock source on return from STOP1 mode </li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section11" aria-hidden="true"> <label for="collapse-section11" aria-hidden="true">V1.7.0 / 17-February-2017</label>
<div>
<h2 id="no-change-4">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section10" aria-hidden="true"> <label for="collapse-section10" aria-hidden="true">V1.6.0 / 28-October-2016</label>
<div>
<h2 id="no-change-5">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section9" aria-hidden="true"> <label for="collapse-section9" aria-hidden="true">V1.5.2 / 12-September-2016</label>
<div>
<h2 id="main-changes-4">Main Changes</h2>
<ul>
<li><p>All I2C examples:</p>
<ul>
<li>Rework management of Acknowledgment Failure errors</li>
</ul></li>
<li><p>PWR_ModeSelection:</p>
<ul>
<li>Fix TrueSTUDIO project configuration</li>
</ul></li>
<li><p>TIM_OcActive:</p>
<ul>
<li>Fix LED management in case of error</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section8" aria-hidden="true"> <label for="collapse-section8" aria-hidden="true">V1.5.0 / 29-April-2016</label>
<div>
<h2 id="main-changes-5">Main Changes</h2>
<ul>
<li><p>HAL_TimeBase_TIM (renamed from HAL_TimeBase):</p>
<ul>
<li>Update to add new user file stm32l4xx_hal_timebase_tim.c for TIM peripheral used for HAL time base</li>
</ul></li>
<li><p>I2C_WakeUpFromStop and I2C_WakeUpFromStop2:</p>
<ul>
<li>Update for end of DMA process and I2C error management</li>
</ul></li>
<li><p>I2C_TwoBoards_AdvComIT and I2C_TwoBoards_ComIT:</p>
<ul>
<li>SB and ADDR are now managed in interrupt mode</li>
</ul></li>
<li><p>IWDG_Reset and IWDG_WindowMode:</p>
<ul>
<li>Rework since simplified HAL IWDG</li>
</ul></li>
<li><p>WWDG_Example:</p>
<ul>
<li>Rework since simplified HAL WWDG</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section7" aria-hidden="true"> <label for="collapse-section7" aria-hidden="true">V1.4.0 / 26-February-2016</label>
<div>
<h2 id="main-changes-6">Main Changes</h2>
<ul>
<li><p>New examples:</p>
<ul>
<li>DAC_SignalsGeneration and DAC_SimpleConversion</li>
<li>I2C_TwoBoards_RestartComIT and I2C_TwoBoards_RestartAdvComIT</li>
<li>OPAMP_PGA</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section6" aria-hidden="true"> <label for="collapse-section6" aria-hidden="true">V1.3.0 / 29-January-2016</label>
<div>
<h2 id="main-changes-7">Main Changes</h2>
<ul>
<li><p>PWR_STANDBY_RTC example:</p>
<ul>
<li>Add missing __HAL_RCC_PWR_CLK_ENABLE()</li>
</ul></li>
<li><p>RTC_Alarm, RTC_LSI, RTC_Tamper and RTC_Timestamp examples:</p>
<ul>
<li>Fix PREDIV_S value in main.h when RTC clock source is LSI</li>
</ul></li>
<li><p>UART_TwoBoards_ComDMA example</p>
<ul>
<li>Remove synchro issue by programming Rx DMA before Tx</li>
</ul></li>
<li><p>UART_WakeUpFromStop example</p>
<ul>
<li>System clock at 80Mhz (PLL from MSI) and restored on wake-up from STOP1 mode</li>
</ul></li>
<li><p>Update of all examples projects with latest system_stm32l4xx.c from STM32L4xx CMSIS Device</p></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section5" aria-hidden="true"> <label for="collapse-section5" aria-hidden="true">V1.2.0 / 25-November-2015</label>
<div>
<h2 id="main-changes-8">Main Changes</h2>
<ul>
<li><p>PWR and LPTIM examples:</p>
<ul>
<li>Update HAL_PWREx_EnterSTOP1Mode(PWR_STOPENTRY_WFI) call to enter Stop 1 mode since HAL PWR API change</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section4" aria-hidden="true"> <label for="collapse-section4" aria-hidden="true">V1.1.1 / 16-October-2015</label>
<div>
<h2 id="main-changes-9">Main Changes</h2>
<ul>
<li><p>Fine-tuning of all Examples projects: stm32l4xx_hal_conf.h files updated to set Flash prefetch off in line with default system configuration.</p></li>
<li><p>PWR examples:</p>
<ul>
<li>Updates done in comments as regard to clock configurations.</li>
</ul></li>
<li><p>SPI_HalfDuplex_ComPolling example:</p>
<ul>
<li>Fix SW4STM32 and TrueSTUDIO projects settings for C99</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section3" aria-hidden="true"> <label for="collapse-section3" aria-hidden="true">V1.1.0 / 16-September-2015</label>
<div>
<h2 id="main-changes-10">Main Changes</h2>
<ul>
<li><p>Add support of System Workbench for STM32 (SW4STM32) toolchain.</p></li>
<li><p>Apply GPIO_SPEED_FREQ_xxx new definitions from HAL GPIO.</p></li>
<li><p>New CRC examples:</p>
<ul>
<li>CRC_bytes_stream_7bit_CRC</li>
<li>CRC_Data_Reversing_16bit_CRC</li>
</ul></li>
<li><p>Flash_DualBoot example:</p>
<ul>
<li>Fix user button key press detection</li>
</ul></li>
<li><p>RTC_TimeStamp example:</p>
<ul>
<li>Update readme.txt</li>
</ul></li>
<li><p>RTC_LSI example:</p>
<ul>
<li>Fix issue on period computation</li>
</ul></li>
<li><p>TIM_InputCapture:</p>
<ul>
<li>Fix issue on period computation</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section2" aria-hidden="true"> <label for="collapse-section2" aria-hidden="true">V1.0.0 / 26-June-2015</label>
<div>
<h2 id="main-changes-11">Main Changes</h2>
<ul>
<li>First official release</li>
</ul>
</div>
</div>
</div>
</div>
<footer class="sticky">
For complete documentation on <mark>STM32 Microcontrollers</mark> , visit: <a href="http://www.st.com/STM32">http://www.st.com/STM32</a>
</footer>
</body>
</html>
